/*
 * Created on 14-dic-2005
 * @author Giovanni Casella
 */
package it.unige.disi.aumlbpel.main;


import it.unige.disi.aumlbpel.transformers.IntermediateXML_FOL;
import it.unige.disi.aumlbpel.transformers.IntermediateXML_TextualNotation;
import it.unige.disi.aumlbpel.transformers.IntermediateXML_WSDL_BPEL;
import it.unige.disi.aumlbpel.transformers.XMI_IntermediateXML;

/**Obiettivo di questa classe e' trasformare un documento XMI in un documento textual notation
 * la trasformazione avviene in due passi
 * 1 XMI -> Intermediate.xml
 * 2 Intermediate XML ->Textual Notation
 * Il file Intermediate XML viene salvato nella cartella resource\sampleFile\IntermediateNotation.xml
 * @author Giovanni Casella
 * it.unige.disi.aumlbpel.main
 * Main.java
 * 
 */
public class Main {

    public static void main(String[] args) {
        
        
        if(args.length!=1){
            System.out.println("Utilizzo: java -jar AUML2WSBPEL.jar nomefile.xmi");
        System.exit(1);
        }
        String baseFileName=args[0];
        //String baseFileName="E:\\EclipseProject\\FromAUMLToBPELExtended\\resource\\testingFile\\LoopTestfruitSeller.xmi";
        String nomeFileXMIinput = baseFileName;
        
        baseFileName=baseFileName.substring(0, baseFileName.length()-4);
        String nomeFileXMLIntermedio = baseFileName+".xml";
        String nomeFileAUMLTextualNotation = baseFileName+".txt";
        String NomeFileBpel = baseFileName+".bpel";
        String NomeFileWSDL = baseFileName+".wsdl";
        String NomeFileFOL = baseFileName+".fol";
      
        
        // 1 XMI -> Intermediate.xml
        XMI_IntermediateXML trans=new XMI_IntermediateXML();
        trans.tranform(nomeFileXMIinput,nomeFileXMLIntermedio);
        System.out.println("**** File XML intermedio generato correttamente.\n**** Visionabile in " + nomeFileXMLIntermedio);
        // 2 Intermediate XML ->Textual Notation
        IntermediateXML_TextualNotation trans2 = new IntermediateXML_TextualNotation();
        String nomeFileIntermediateNotationInput= nomeFileXMLIntermedio;
        trans2.tranform(nomeFileIntermediateNotationInput,nomeFileAUMLTextualNotation);
        System.out.println("**** File AUML Testuale generato correttamente.\n**** Visionabile in " + nomeFileAUMLTextualNotation);
        // 3 Intermediate XML -> WSDL/BPEL
        IntermediateXML_WSDL_BPEL trans3 = new IntermediateXML_WSDL_BPEL();
        trans3.tranformXMLtoWSDL_BPEL(nomeFileXMLIntermedio,NomeFileWSDL,NomeFileBpel);
        System.out.println("**** File WSDL e BPEL generati correttamente.\n**** Visionabili in " + NomeFileWSDL + " e \n**** " + NomeFileBpel);
        
        // 4 Intermediate XML -> FOL
        IntermediateXML_FOL trans4 = new IntermediateXML_FOL();
        trans4.tranformXMLtoFOL(nomeFileXMLIntermedio,NomeFileFOL);
        System.out.println("**** File AUML Testuale generato correttamente.\n**** Visionabile in " + NomeFileFOL );
        
        
    
      }
}
